Skip to main content
GET
File Download

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Path Parameters

file_id
string
required

ID of the file.

Response

Success

Files API response type

id
string
required

ID of the file.

object
string
required
Allowed value: "file"
created_at
string<date-time> | null

Time the file was created, in ISO 8601 format.

type

Type of the file.

Available options:
jsonl,
parquet,
pt
purpose
enum<string> | null

Purpose the file was uploaded for.

Available options:
reinforcement-fine-tune,
fine-tune,
preference-fine-tune,
pre-train,
alignment
filename
string | null

Name of the file.

bytes
integer | null

Size of the file in bytes.

created_by
string | null

Whether a user or the system created the file.

original_file_id
string | null

ID of the file this file was created from.

deleted
boolean | null

If true, the file was deleted.

Last modified on July 31, 2026